Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleadapter
Class OraclePreparedStatementResultSet

    java.lang.Object
      com.stc.connector.oracleadapter.base.PreparedStatementResultSetImpl
          com.stc.connector.oracleadapter.OraclePreparedStatementResultSet

All Implemented Interfaces:
  com.stc.connector.appconn.db.PreparedStatementResultSet

    public class OraclePreparedStatementResultSet

extends PreparedStatementResultSetImpl

ResultSet to map selected records of table in Oracle.

Version:
  $Revision: 1.1 $
Author:
  $Author: npiega $

Constructor Summary
`OraclePreparedStatementResultSet(int ord, com.stc.connector.appconn.db.PreparedStatementAgent parent)` Constructs a Prepared Statement Result Set object.
`OraclePreparedStatementResultSet(com.stc.connector.appconn.db.ResultSetAgent rsAgent)` Constructs an Oracle Prepared Statement Result Set object.

Method Summary

Methods inherited from class com.stc.connector.oracleadapter.base.PreparedStatementResultSetImpl
`absolute, afterLast, available, beforeFirst, clearWarnings, close, closeResultSet, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getOrdinalPosn, getParentPreparedStmtAgent, getRef, getRef, getRow, getRSAgent, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, setFetchDirection, setFetchSize, setResultSetAgent, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OraclePreparedStatementResultSet

    public OraclePreparedStatementResultSet(com.stc.connector.appconn.db.ResultSetAgent rsAgent)

  Constructs an Oracle Prepared Statement Result Set object.

  Parameters:
    `rsAgent` - the `ResultSetAgent` underlying control.

### OraclePreparedStatementResultSet

    public OraclePreparedStatementResultSet(int ord,
                                            com.stc.connector.appconn.db.PreparedStatementAgent parent)

  Constructs a Prepared Statement Result Set object.

  Parameters:
    `ord` - the ordinal position of this Result Set (if there are multiple Result Sets).
    `parent` - the parent `PreparedStatementAgent` container for this Result Set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD